Loading...
Searching...
No Matches
CLI::detail::type_count< T, typename std::enable_if< is_mutable_container< T >::value >::type > Struct Template Reference

Type size of types that are wrappers,except complex and tuples(which can also be wrappers sometimes). More...

`#include <TypeTools.hpp>`

## Static Public Attributes

static constexpr int | value {subtype_count<typename T::value_type>::value}

## Detailed Description

template<typename T>
struct CLI::detail::type_count< T, typename std::enable_if< is_mutable_container< T >::value >::type >

Type size of types that are wrappers,except complex and tuples(which can also be wrappers sometimes).

## Member Data Documentation

## value

template<typename T>

int CLI::detail::type_count< T, typename std::enable_if< is_mutable_container< T >::value >::type >::value {subtype_count<typename T::value_type>::value}

static constexpr

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp